Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
Gift
/
{id}
Get a Gift
curl --request GET \
  --url https://prod-api.raisedonors.com/api/Gift/{id} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "currency": "<string>",
  "amount": 123,
  "formattedAmount": "<string>",
  "date": "<string>",
  "createdDate": "<string>",
  "modifiedDate": "<string>",
  "statusText": "<string>",
  "gateway": "<string>",
  "authorizationNumber": "<string>",
  "transactionId": "<string>",
  "donationId": "<string>",
  "paymentInfo": "<string>",
  "paymentType": "<string>",
  "segment": "<string>",
  "motivation": "<string>",
  "campaignName": "<string>",
  "segmentName": "<string>",
  "notes": "<string>",
  "comment": "<string>",
  "donorId": 123,
  "billingName": "<string>",
  "shippingName": "<string>",
  "recurringGiftId": 123,
  "giftAidRequested": true,
  "canRefund": true,
  "donorPaidCosts": true,
  "paymentProviderTransactionUrl": "<string>",
  "submissionUrl": "<string>",
  "billingAddress": {
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal": "<string>",
    "countryString": "<string>",
    "addressTypeDisplay": "<string>"
  },
  "shippingAddress": {
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal": "<string>",
    "countryString": "<string>",
    "addressTypeDisplay": "<string>"
  },
  "projects": [
    {
      "projectId": 123,
      "name": "<string>",
      "amount": "<string>",
      "currencyExchange": {
        "nativeAmount": "<string>",
        "nativeCurrencyCode": "<string>",
        "settledExchangeRate": 123,
        "settledAmount": "<string>",
        "settledCurrencyCode": "<string>",
        "baseExchangeRate": 123,
        "baseAmount": "<string>",
        "baseCurrencyCode": "<string>",
        "isDifferentCurrency": true
      }
    }
  ],
  "browserInfo": {
    "name": "<string>",
    "version": "<string>",
    "platform": "<string>",
    "userAgent": "<string>",
    "javaScriptVersion": "<string>",
    "isBeta": true,
    "isCrawler": true,
    "supportsCookies": true,
    "supportsJavaApplets": true,
    "supportsActiveXControls": true
  },
  "premiumItem": {
    "qualifies": true,
    "premium": {
      "id": 123,
      "currency": "<string>",
      "name": "<string>",
      "nameShort": "<string>",
      "code": "<string>",
      "description": "<string>",
      "isActive": true,
      "price": 123,
      "formattedPrice": "<string>",
      "fairMarketValue": 123,
      "formattedFairMarketValue": "<string>",
      "inventory": 123,
      "keepActiveWhenHasNoInventory": true,
      "recurringPremiumId": 123,
      "recurringPremiumName": "<string>",
      "image": "<string>",
      "externalIdentifier": "<string>",
      "otherMinimumAmounts": [
        {
          "currency": "<string>",
          "value": 123
        }
      ]
    }
  },
  "form": {
    "id": 123,
    "title": "<string>",
    "landingUrl": "<string>",
    "referringUrl": "<string>",
    "isLegacy": true
  },
  "donorStatistic": {
    "totalGift": "<string>",
    "totalGiftAmount": "<string>",
    "lastGift": {
      "id": 123,
      "date": "<string>",
      "amount": "<string>",
      "paymentInfo": "<string>",
      "donorId": 123,
      "donorImage": "<string>",
      "donorName": "<string>",
      "donorEmail": "<string>",
      "form": "<string>",
      "projects": [
        {
          "projectId": 123,
          "name": "<string>",
          "amount": "<string>",
          "currencyExchange": {
            "nativeAmount": "<string>",
            "nativeCurrencyCode": "<string>",
            "settledExchangeRate": 123,
            "settledAmount": "<string>",
            "settledCurrencyCode": "<string>",
            "baseExchangeRate": 123,
            "baseAmount": "<string>",
            "baseCurrencyCode": "<string>",
            "isDifferentCurrency": true
          }
        }
      ],
      "statusText": "<string>",
      "donorIsGDPRDeleted": true,
      "isAnonymous": true,
      "canRefund": true,
      "transactionId": "<string>",
      "isTribute": true,
      "isFromTerminal": true,
      "donorPaidCosts": true,
      "metadata": [
        "<string>"
      ],
      "segmentCode": "<string>",
      "currencyExchange": {
        "nativeAmount": "<string>",
        "nativeCurrencyCode": "<string>",
        "settledExchangeRate": 123,
        "settledAmount": "<string>",
        "settledCurrencyCode": "<string>",
        "baseExchangeRate": 123,
        "baseAmount": "<string>",
        "baseCurrencyCode": "<string>",
        "isDifferentCurrency": true
      }
    },
    "lastGiftAmount": "<string>"
  },
  "recurringScheduleInfo": {
    "amount": "<string>",
    "currencyCode": "<string>",
    "frequency": "<string>",
    "statusText": "<string>",
    "successfulCycles": 123,
    "startDate": "<string>",
    "nextCharge": "<string>",
    "currentCharge": "<string>",
    "previousCharge": "<string>",
    "currencyExchange": {
      "nativeAmount": "<string>",
      "nativeCurrencyCode": "<string>",
      "settledExchangeRate": 123,
      "settledAmount": "<string>",
      "settledCurrencyCode": "<string>",
      "baseExchangeRate": 123,
      "baseAmount": "<string>",
      "baseCurrencyCode": "<string>",
      "isDifferentCurrency": true
    }
  },
  "tribute": {
    "isInMemoryOf": true,
    "isInHonorOf": true,
    "sendByEmail": true,
    "sendByPostal": true,
    "tributeFirstName": "<string>",
    "tributeLastName": "<string>",
    "tributeAddress": {
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal": "<string>",
      "countryString": "<string>",
      "addressTypeDisplay": "<string>"
    },
    "acknowledgeeFirstName": "<string>",
    "acknowledgeeLastName": "<string>",
    "acknowledgeeAddress": {
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal": "<string>",
      "countryString": "<string>",
      "addressTypeDisplay": "<string>"
    },
    "acknowledgeeEmailAddress": "<string>",
    "message": "<string>"
  },
  "donor": {
    "id": 123,
    "name": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "middleName": "<string>",
    "lastName": "<string>",
    "suffix": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "createdDate": "<string>",
    "modifiedDate": "<string>",
    "notes": "<string>",
    "isOrganization": true,
    "organizationName": "<string>",
    "crmKeyUrls": {},
    "crmKey": "<string>",
    "crmSecondKey": "<string>",
    "isTestMode": true,
    "isArchived": true,
    "isGDPRDeleted": true,
    "primaryAddress": {
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal": "<string>",
      "countryString": "<string>",
      "addressTypeDisplay": "<string>",
      "id": 123,
      "donorId": 123,
      "isPrimary": true
    },
    "donorAddresses": [
      {
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "countryString": "<string>",
        "addressTypeDisplay": "<string>",
        "id": 123,
        "donorId": 123,
        "isPrimary": true
      }
    ],
    "donorEmailAddresses": [
      {
        "id": 123,
        "donorId": 123,
        "typeDisplay": "<string>",
        "value": "<string>",
        "secondaryValue": "<string>",
        "isPrimary": true,
        "isOptedIn": true,
        "isValid": true,
        "isEmail": true,
        "isPhone": true,
        "isBounced": true,
        "countryCode": "<string>"
      }
    ],
    "donorPhoneNumbers": [
      {
        "id": 123,
        "donorId": 123,
        "typeDisplay": "<string>",
        "value": "<string>",
        "secondaryValue": "<string>",
        "isPrimary": true,
        "isOptedIn": true,
        "isValid": true,
        "isEmail": true,
        "isPhone": true,
        "isBounced": true,
        "countryCode": "<string>"
      }
    ]
  },
  "isAnonymous": true,
  "isTestMode": true,
  "virtualTerminalId": 123,
  "virtualTerminal": "<string>",
  "googleUtmCampaign": "<string>",
  "googleUtmContent": "<string>",
  "googleUtmMedium": "<string>",
  "googleUtmSource": "<string>",
  "googleUtmTerm": "<string>",
  "googleUtmId": "<string>",
  "googleGclid": "<string>",
  "motivationCodeGroupId": 123,
  "motivationCodeGroupName": "<string>",
  "motivationCodeId": 123,
  "motivationCodeName": "<string>",
  "currencyExchange": {
    "nativeAmount": "<string>",
    "nativeCurrencyCode": "<string>",
    "settledExchangeRate": 123,
    "settledAmount": "<string>",
    "settledCurrencyCode": "<string>",
    "baseExchangeRate": 123,
    "baseAmount": "<string>",
    "baseCurrencyCode": "<string>",
    "isDifferentCurrency": true
  }
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the gift.

Response

OK

Represents a detailed model for a gift, including donor, payment, and project information.

id
integer<int64>

Gets or sets the unique identifier of the gift.

currency
string | null

Gets or sets the currency format for the gift amount.

amount
number<double>

Gets or sets the amount of the gift.

formattedAmount
string | null
read-only

Gets the formatted amount of the gift in the specified currency.

date
string | null

Gets or sets the date of the gift in local timezone.

createdDate
string | null

Gets or sets the created date of the gift in local timezone.

modifiedDate
string | null

Gets or sets the modified date of the gift in local timezone.

status
enum<integer>

Gets or sets the status of the gift.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
statusText
string | null

Gets or sets the display text for the gift's status.

gateway
string | null

Gets or sets the internal display name of the payment gateway.

authorizationNumber
string | null

Gets or sets the authorization number for the gift transaction.

transactionId
string | null

Gets or sets the transaction ID of the gift.

donationId
string | null

Gets or sets the donation ID associated with the gift.

paymentInfo
string | null

Gets or sets the payment information of the gift.

paymentType
string | null

Gets or sets the payment type of the gift.

segment
string | null

Gets or sets the segment code associated with the gift.

motivation
string | null

Gets or sets the motivation for the gift.

campaignName
string | null

Gets or sets the campaign name associated with the gift.

segmentName
string | null

Gets or sets the segment name associated with the gift.

notes
string | null

Gets or sets the notes associated with the gift.

comment
string | null

Gets or sets the comment associated with the gift.

donorId
integer<int64>

Gets or sets the unique identifier of the donor.

billingName
string | null

Gets or sets the billing name for the gift.

shippingName
string | null

Gets or sets the shipping name for the gift.

recurringGiftId
integer<int64> | null

Gets or sets the recurring gift ID, if applicable.

giftAidRequested
boolean

Gets or sets a value indicating whether gift aid was requested.

canRefund
boolean

Gets or sets a value indicating whether the gift can be refunded.

donorPaidCosts
boolean

Gets or sets a value indicating whether the donor paid the processing costs.

paymentProviderTransactionUrl
string | null

Gets or sets the URL for the payment provider transaction.

submissionUrl
string | null

Gets or sets the Submission URL.

billingAddress
object

Gets or sets the billing address associated with the gift.

shippingAddress
object

Gets or sets the shipping address associated with the gift.

projects
object[] | null

Gets or sets the list of project allocations associated with the gift.

browserInfo
object

Gets or sets the browser information associated with the gift.

premiumItem
object

Gets or sets the premium item associated with the gift, if applicable.

form
object

Gets or sets the form details associated with the gift.

donorStatistic
object

Gets or sets the donor statistics associated with the gift.

recurringScheduleInfo
object

Gets or sets the recurring schedule information for the gift, if applicable.

tribute
object

Gets or sets the tribute information associated with the gift, if applicable.

donor
object

Gets or sets the donor details associated with the gift.

isAnonymous
boolean

Gets or sets a value indicating whether the gift is anonymous.

isTestMode
boolean

Gets or sets a value indicating whether the gift is in test mode.

virtualTerminalId
integer<int64> | null

Gets or sets the virtual terminal ID associated with the gift, if applicable.

virtualTerminal
string | null

Gets or sets the virtual terminal name associated with the gift, if applicable.

googleUtmCampaign
string | null

Gets or sets the Google UTM campaign associated with the gift.

googleUtmContent
string | null

Gets or sets the Google UTM content associated with the gift.

googleUtmMedium
string | null

Gets or sets the Google UTM medium associated with the gift.

googleUtmSource
string | null

Gets or sets the Google UTM source associated with the gift.

googleUtmTerm
string | null

Gets or sets the Google UTM term associated with the gift.

googleUtmId
string | null

Gets or sets the Google UTM ID associated with the gift.

googleGclid
string | null

Gets or sets the Google GCLID associated with the gift.

motivationCodeGroupId
integer<int64> | null

Gets or sets the motivation code group ID associated with the gift.

motivationCodeGroupName
string | null

Gets or sets the motivation code group name associated with the gift.

motivationCodeId
integer<int64> | null

Gets or sets the motivation code ID associated with the gift.

motivationCodeName
string | null

Gets or sets the motivation code name associated with the gift.

currencyExchange
object

Gets or sets the currency exchange information for the gift.

Last modified on June 5, 2026